## org.eclipse.emf.mapping.provider
Class MappedObjectItemProvider

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemProviderDecorator
          org.eclipse.emf.mapping.provider.MappedObjectItemProvider

All Implemented Interfaces:
  IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemLabelProvider, IItemPropertySource, IItemProviderDecorator, INotifyChangedListener, IStructuredItemContentProvider, ITreeItemContentProvider

    public class MappedObjectItemProvider

extends ItemProviderDecorator
implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource

This is the item provider adpater for a `Mapping` object.

Field Summary
`protected EObject` `mappedObject`
`protected MappedObjectState` `mappedObjectState`
`protected Mapping` `mapping`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderDecorator
`adapterFactory, changeNotifier, decoratedItemProvider`

Constructor Summary
`MappedObjectItemProvider(AdapterFactory adapterFactory, EObject mappedObject, Mapping mapping)` This constructs an instance from a factory and a notifier.

Method Summary
`Command` `createCommand(java.lang.Object object, EditingDomain editingDomain, java.lang.Class<? extends Command> commandClass, CommandParameter commandParameter)` This implements `IEditingDomainItemProvider.createCommand` by delegating to `(IEditingDomainItemProvider)``ItemProviderDecorator.decoratedItemProvider`.
`void` `dispose()` This is called to dispose the object.
`java.util.Collection<?>` `getChildren(java.lang.Object object)` This implements `ITreeItemContentProvider.getChildren` by delegating to `(ITreeItemContentProvider)``ItemProviderDecorator.decoratedItemProvider`.
`java.util.Collection<?>` `getElements(java.lang.Object object)` This implements `IStructuredItemContentProvider.getElements` by delegating to `(IStructuredItemContentProvider)``ItemProviderDecorator.decoratedItemProvider`.
`java.lang.Object` `getImage(java.lang.Object object)` This implements `IItemLabelProvider.getImage` by delegating to `(IItemLabelProvider)``ItemProviderDecorator.decoratedItemProvider`.
`EObject` `getMappedObject()`
`Mapping` `getMapping()`
`java.lang.Object` `getParent(java.lang.Object object)` This returns the nestedIn of the Mapping.
`IItemPropertyDescriptor` `getPropertyDescriptor(java.lang.Object object, java.lang.Object propertyId)` This implements `IItemPropertySource.getPropertyDescriptors` by delegating to `(IItemPropertySource)``ItemProviderDecorator.decoratedItemProvider`.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This implements `IItemPropertySource.getPropertyDescriptors` by delegating to `(IItemPropertySource)``ItemProviderDecorator.decoratedItemProvider`.
`java.lang.String` `getText(java.lang.Object object)` This implements `IItemLabelProvider.getText` by delegating to `(IItemLabelProvider)``ItemProviderDecorator.decoratedItemProvider`.
`boolean` `hasChildren(java.lang.Object object)` This implements `ITreeItemContentProvider.hasChildren` by delegating to `(ITreeItemContentProvider)``ItemProviderDecorator.decoratedItemProvider`.
`void` `notifyChanged(Notification msg)` This handles notification by delegating to `fireNotifyChanged`.

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderDecorator
`addListener, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getColumnImage, getColumnText, getDecoratedItemProvider, getEditableValue, getFont, getFont, getForeground, getForeground, getNewChildDescriptors, getUpdateableText, isAdapterForType, removeListener, setDecoratedItemProvider, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`getNewChildDescriptors`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue`

Field Detail

### mapping

    protected Mapping mapping

### mappedObject

    protected EObject mappedObject

### mappedObjectState

    protected MappedObjectState mappedObjectState

Constructor Detail

### MappedObjectItemProvider

    public MappedObjectItemProvider(AdapterFactory adapterFactory,
                                    EObject mappedObject,
                                    Mapping mapping)

  This constructs an instance from a factory and a notifier.

Method Detail

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  This returns the nestedIn of the Mapping.

  Specified by:
    `getParent` in interface `IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `ITreeItemContentProvider`
  Overrides:
    `getParent` in class `ItemProviderDecorator`

### getElements

    public java.util.Collection<?> getElements(java.lang.Object object)

  Description copied from class: `ItemProviderDecorator`
  This implements `IStructuredItemContentProvider.getElements` by delegating to `(IStructuredItemContentProvider)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `getElements` in interface `IStructuredItemContentProvider`
  Overrides:
    `getElements` in class `ItemProviderDecorator`

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Description copied from class: `ItemProviderDecorator`
  This implements `ITreeItemContentProvider.getChildren` by delegating to `(ITreeItemContentProvider)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `getChildren` in interface `IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `ItemProviderDecorator`

### hasChildren

    public boolean hasChildren(java.lang.Object object)

  Description copied from class: `ItemProviderDecorator`
  This implements `ITreeItemContentProvider.hasChildren` by delegating to `(ITreeItemContentProvider)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `hasChildren` in interface `ITreeItemContentProvider`
  Overrides:
    `hasChildren` in class `ItemProviderDecorator`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Description copied from class: `ItemProviderDecorator`
  This implements `IItemLabelProvider.getImage` by delegating to `(IItemLabelProvider)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `getImage` in interface `IItemLabelProvider`
  Overrides:
    `getImage` in class `ItemProviderDecorator`

### getText

    public java.lang.String getText(java.lang.Object object)

  Description copied from class: `ItemProviderDecorator`
  This implements `IItemLabelProvider.getText` by delegating to `(IItemLabelProvider)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `getText` in interface `IItemLabelProvider`
  Overrides:
    `getText` in class `ItemProviderDecorator`

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  Description copied from class: `ItemProviderDecorator`
  This implements `IItemPropertySource.getPropertyDescriptors` by delegating to `(IItemPropertySource)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `ItemProviderDecorator`

### getPropertyDescriptor

    public IItemPropertyDescriptor getPropertyDescriptor(java.lang.Object object,
                                                         java.lang.Object propertyId)

  Description copied from class: `ItemProviderDecorator`
  This implements `IItemPropertySource.getPropertyDescriptors` by delegating to `(IItemPropertySource)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `getPropertyDescriptor` in interface `IItemPropertySource`
  Overrides:
    `getPropertyDescriptor` in class `ItemProviderDecorator`

### notifyChanged

    public void notifyChanged(Notification msg)

  This handles notification by delegating to `fireNotifyChanged`.

  Specified by:
    `notifyChanged` in interface `INotifyChangedListener`
  Overrides:
    `notifyChanged` in class `ItemProviderDecorator`

### createCommand

    public Command createCommand(java.lang.Object object,
                                 EditingDomain editingDomain,
                                 java.lang.Class<? extends Command> commandClass,
                                 CommandParameter commandParameter)

  Description copied from class: `ItemProviderDecorator`
  This implements `IEditingDomainItemProvider.createCommand` by delegating to `(IEditingDomainItemProvider)``ItemProviderDecorator.decoratedItemProvider`.

  Specified by:
    `createCommand` in interface `IEditingDomainItemProvider`
  Overrides:
    `createCommand` in class `ItemProviderDecorator`

### getMappedObject

    public EObject getMappedObject()

### getMapping

    public Mapping getMapping()

### dispose

    public void dispose()

  Description copied from interface: `IDisposable`
  This is called to dispose the object.

  Specified by:
    `dispose` in interface `IDisposable`
  Overrides:
    `dispose` in class `ItemProviderDecorator`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.